package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentEmpChangePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxAgentEmpChangeMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxAgentEmpChangePO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxAgentEmpChangePO getById(Long id);


	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<TaxAgentEmpChangePO> listSome(TaxAgentEmpChangePO taxAgentEmpChange);

	/**
     * 新增，忽略null字段
     *
     * @param taxAgentEmpChange 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxAgentEmpChangePO taxAgentEmpChange);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxAgentEmpChange 修改的记录
     * @return 返回影响行数
     */
	int update(TaxAgentEmpChangePO taxAgentEmpChange);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxAgentEmpChange 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxAgentEmpChangePO taxAgentEmpChange);
	
	/**
     * 删除记录
     *
     * @param taxAgentEmpChange 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxAgentEmpChangePO taxAgentEmpChange);

	void deleteByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 批量插入
	 *
	 * @param saves
	 */
	void batchInsert(@Param("collection") List<TaxAgentEmpChangePO> saves);
}